Enhancements and Fixes in LegaSuite Workbench 7.6, November 2015

LegaSuite includes components such as LegaSuite Workbench, LegaSuite Clients, LegaSuite Engines and Rocket API Gateways. This file contains brief descriptions of the enhancements in LegaSuite Workbench 7.6 and specific customer fixes. For a list of new features, consult the What's New PDF document, accessible in the Documentation folder.

-------------------------------
7.6 Information, November 2015
-------------------------------
Enhancements
------------
For a list of enhancements, consult the What's New PDF document.


Fixes
-----
LSWB-16393 - In LegaSuite GUI 7.5.3, Smart Build did not generate screen fields from the Build screen template. This has been fixed.

LSWB-16387 - In Rocket API (Classic) 7.5.4, the Workbench consumed a lot of processing time when there was no user activity. This has been fixed.

LSWB-16359 - In LegaSuite 7.5.2, the ae+ identification option stopped the runtime identification. This has been fixed.

LSWB-16255 - In LegaSuite 7.5, script function DataAccessData displays a script error message in LegaSuite GUI when it should not. This has been fixed.

LSWB-16246 - In LegaSuite 7.5.2, importing the AWHOST into an existing project displayed an exception error. This has been fixed.

LSWB-16241 - Installing Subclipse 1.10.x stops LegaSuite Workbench 7.5 from working. This has been fixed.

LSWB-16232 - In LegaSuite GUI and Web 7.5, Smart Build on a picture that has ListHeaderAsMessages=1 setting does not work correctly. This has been fixed.

LSWB-16231 - In LegaSuite GUI 7.2C3, Smart Build creates a host field reference for a list box column header field incorrectly after running Change Management. This has been fixed.

LSWB-16219 - In LegaSuite 7.3C1, a panel is created incorrectly after the associated screen is rebuilt. This has been fixed.

LSWB-16189 - When editing a panel, updating the x and y positions in the Properties view does not update the popup panel's x and y attributes. This has been fixed.
LSWB-16185 - In LegaSuite 7.5, the header text is not displayed in the list box after running Change Management when it should. This has been fixed.

LSWB-16173 - In LegaSuite GUI and Web 7.5, importing an AWHOST takes longer than usual when the picture naming scheme is set to "LongNameAndPictureName". This has been fixed.

LSWB-16170 - In LegaSuite GUI and Web 7.3C1, 7.4 and 7.5, Change Management did not detect and apply the window type and updated sizes to the screen. This has been fixed.

LSWB-16156 - In LegaSuite Web 7.4.1, Find and Action did not remove message boxes. This has been fixed.

LSWB-16146 - In LegaSuite 7.4.1, an exception is displayed when compiling scripts containing structures. This has been fixed.

LSWB-16123 - In LegaSuite 7.4.1 and 7.5, a screen was not identified when using the LegSid2 identification algorithm. This has been fixed.

LSWB-16122 - In LegaSuite 7.5, Change Management's dry run and the actual execution were no longer the same. This has been fixed so that the dry run and actual execution are now the same.

LSWB-16095 - In LegaSuite 7.5, the LegSid2 identification algorithm did not identify pictures containing pop-up windows that consisted of 3 rows as pop-up windows. This has been fixed.

LSWB-15959 - In LegaSuite 7.4.1, the URLOpen script function did not open PDF files in the Web client as it should. This has been fixed.

LSWB-15890 - In LegaSuite 7.2C3, 7.4.1, and 7.5, a pop-up window displays the emulator instead of the associated panel during GUI Live Test. This has been fixed to recognize the popup window correctly.

LSWB-15262 - In LegaSuite 7.3C1, running Change Management displays “Name not unique" messages when certain panels exist twice with the same name but in different folders. This has been fixed by making sure that removing a duplicate panel, removes the error message from the panel instance.

LSWB-15258 - In LegaSuite 7.3C1, during a GUI live test, an incorrect panel id is displayed in a panel. This has been fixed.

LSWB-12714 - In LegaSuite 7.5, editing the Host Color conversion tables in the editor displayed only a black foreground in the Color preview field, and it was not possible to change the background color to Normal. This has been fixed.

LS-12101 - An exception occurs when running the Project Analysis tool on a GUI project. This has been fixed.

LS-12065 - In LegaSuite 7.5.4, a GUI project to Web project conversion takes a long time when the project has a lot of panels. This has been fixed.

LS-12045 - In LegaSuite Web, using visibility for each ContainerList row does not work as it should on continued fields. This has been fixed.

LS-12000 - In LegaSuite Web 7.5.3, the visibility "Exclude" property reverts back to "No action" when the control is copied or Smart Built. This has been fixed.

LS-11974 - In LegaSuite 7.5.3, REST services that were used to retrieve spooled files from the host generated an empty line in a grid with options instead of a blank grid. This has been fixed.

LS-11968 - In LegaSuite Web 7.5.3, 7.5.4, hyperlinks are not displayed or shown as active links on a dynamic pop-up page. This has been fixed.

LS-11949 - In LegaSuite Web, grid selection on PageUp/PageDown keys that are sent to the host are changed. This has been fixed.

LS-11905 - In LegaSuite Web, pages were not displayed correctly and did not respond when there was user activity. This has been fixed.

LS-11851 - In LegaSuite GUI 7.3C1 and 7.5.3, the Default button in the Java client is not triggered when the Enter key was pressed. This has been fixed so that the Java client behaves as the Windows client.

LS-11849 -In LegaSuite Web 7.5.3, the GUI to Web conversion process created field ids for templates when it should not. This has been fixed.

LS-11841 - In LegaSuite Web 7.5.2, not all grid rows are become non-selectable after a selection is changed based on multiple selection. This has been fixed.

LS-11837 - In LegaSuite 7.5.3, removing the preselect function from a list collection, runs the function anyway without displayed an error. This has been fixed.

LS-11802 - In LegaSuite Web 7.5, errors generated in the log when using list collection, are not clear. This has been fixed.

LS-11787 - In LegaSuite Web 7.5.2, and 7.5.3, word wrap does not move to the next line in a multi-line entry field after pressing the space bar. This has been fixed.

LS-11730 - In LegaSuite Web 7.5.2, the layout of a combo box in a pop-up page with themes could not be changed. This has been fixed.

LS-11729 - In LegaSuite Web 7.5.2, only the 'intensified' attribute was accepted by the Dynamic UI rules. This has been fixed so that all attributes are accepted.

LS-11711 - In LegaSuite Web Desktop client 7.5.3, the client no longer displayed pdfs. This has been fixed.

LS-11697 - In LegaSuite Web, Dynamic UI did not create a composite combo box. This has been fixed.

LS-11694 - In LegaSuite Web 7.5 and 7.5.2, reconnecting to an existing session using the SessionResume setting displays rendering issues as not all fonts are sent to the client. This has been fixed.

LS-11687 - In LegaSuite Web 7.5.1, 7.5.3, field contents are placed on the incorrect page when moving between pages. This has been fixed.

LS-11670 - in LegaSuite GUI and Web 7.5.2, 7.5.3, Change Management created a check box based on a conditional field, whereas Smart Build did not. This has been fixed.

LS-11667 - In LegaSuite GUI and Web 7.5.3, the Change Management log file displayed duplicated contents. This has been fixed.

LS-11630 - In LegaSuite 7.5.2, it was not possible to print screens from a Web Desktop client. This has been fixed by adding this functionality.

LS-11598, 11481, 11176 - In LegaSuite GUI 7.4.1 and 7.5, changing a date field with field formatting could not be done in editable list box cells. This has been fixed.

LS-11586 - In LegaSuite Web 7.4 and 7.5.2, Dynamic UI did not work on a Dock layout when a movable pane is added to a page. This has been fixed.

LS-11561 - In LegaSuite Web 7.5.2, opening a page with a Flow Layout stops the Workbench from responding. This has been fixed.

LS-11534 - In LegaSuite Web 7.5 and 7.5.2, connecting to an existing session with SessionResume does not apply the project decorators, rendering paint issues. This has been fixed.

LS-11492 - In LegaSuite Web 7.5.2, theme colors are not applied to output when read only text fields. This has been fixed.

LS-11488 - In LegaSuite Web 7.5.2, a widget in a container list did not show the appropriate font when a custom appearance setting was set. This has been fixed.

LS-11486 - In LegaSuite Web 7.5.1, the TextArea control adds a new line during editing even when the "Enter for newline" property is not set. This has been fixed.

LS-11470 - In LegaSuite GUI 7.5.2, when pasted data exceeds the field size, no data is pasted, instead of truncating the pasted data. This has been fixed.

LS-11443 - In LegaSuite GUI and Web 7.5.2, pasted text that consists of Unicode characters are not pasted. This has been fixed.

LS-11390 - In LegaSuite Web 7.5.2, menu separators are displayed at the bottom of the menu instead of after each menu command. This has been fixed.

LS-11382 - In LegaSuite Web 7.5, the keyboard pops up briefly when pressing a button on an iPad. This has been fixed.

LS-11341, 11328 - In LegaSuite Web 7.5.2, the engine stops responding when navigating through the Web application. This has been fixed.

LS-11340 - In LegaSuite 7.5, grid cell data is not retained when tabbing between editable cells. This has been fixed. 

LS-11291 - In LegaSuite Web 7.5.1, the GUI to Web conversion processes does not convert a spinner when an item does not have a send and display value. This has been fixed.

LS-11281 - In LegaSuite Web 7.5, an image on a Container List control was not displayed when a host field reference was added to it. This has been fixed.

LS-11255 - In LegaSuite Web, a check box is displayed and received focus after the Tab key is pressed, when it should not. This has been fixed.

LS-11254 - In LegaSuite Web, scroll bars were no longer displayed in the grid after sorting the grid items. This has been fixed.

LS-11178 - In LegaSuite 7.4, 7.4.1 and 7.5, the Web client and Web Desktop client stops responding after disconnecting, and the client sessions remain open on the engine. This has been fixed. 

LS-11169 - In LegaSuite Web 7.5, uploading specific files does not work in the Web client because the file extension is missing. This has been fixed.

LS-11166 - In LegaSuite Web 7.5, checkboxes are displayed in a grid column even when the rows are empty. This has been fixed by checking that a row is empty when there is no data or only spaces, or when there is no input capable field for an editable column.

LS-11145 - In LegaSuite Web 7.5, a Host API call did not run when the API setting is enabled. This has been fixed.

LS-11132 - In LegaSuite 7.4.1, using PanelFieldListeners no longer populate ListenerPanelContent variables. This has been fixed by introducing the Panel Viewer property to the Subwindow's list of properties.

LS-11136 - In LegaSuite Web 7.5, warnings are displayed when identification data is not based on Unicode. This has been fixed by adding a quick fix to convert the identification data to Unicode data.

LS-11134 - In LegaSuite GUI and Web 7.5, the Quick fix to correct the length mismatch of a screen did not work correctly. This has been fixed.

LS-11119 - In LegaSuite GUI and Web, navigation buttons are disabled when selecting screens and panels as an option for the Import wizard. This has been fixed.

LS-11115,LS-10893 - In LegaSuite GUI, the right-mouse hot key definition from an Include panel does not display the hot key number during a GUI Live Test or a Windows Client Live Test. This has been fixed.

LS-11096 - In LegaSuite 7.5, the COM command 'wordApp.Visible=1' stops the Workbench from responding. This has been fixed.

LS-11089 - In LegaSuite Integration 6.0C5, 7.4.1 and 7.5, a 64-bit Windows Integration Engine does not work with the Windows Service Builder. This has been fixed.
LS-11082 - In LegaSuite Web 7.5, adding visibility per row does not work correctly. This has been fixed.

LS-11072 - In LegaSuite Web 7.4.1, the 'Host wrap' property does not work correctly with the word wrapping functionality on multi-lined textarea controls. This has been fixed.

LS-11060 - In LegaSuite Web 7.5, the DynamicUI setting 'search_direction=horizontal' fails to prevent matching spanned rows. This has been fixed. 

LS-11053 - In LegaSuite Web 7.5, a Dynamic UI date rule also scans vertically to find matching fields did not work correctly. This has been fixed.

LS-11049 - In LegaSuite Web 7.4.1, a pop-up with no function keys to the host still runs the hot keys that are defined in the main page's menu. This is incorrect and has been fixed.

LS-11047 - In LegaSuite Web 7.4.1, no warning is displayed when the Host Wrap property is enabled by default on a TextArea control with no host field. This has been fixed by providing a quick fix to disable the Host wrap property.

LS-11034 - In LegaSuite Web 7.5, a composite combo box was not created when using DynamicUI. This has been fixed.

LS-11018 - In LegaSuite Web, the pinch, zoom or pan feature on the Web client for Android devices no longer works. This has been fixed.

LS-11010 - In LegaSuite Web 7.5, custom appearances added to pages are not applied. This has been fixed.

LS-10984 - In LegaSuite Web, the grid header displays the wrong title is displayed when DynamicUI is used. This has been fixed.

LS-10904 - In LegaSuite Web 7.4.1, the Submit button has to be pressed twice to send the Enter key to the host after a grid record is selected. This has been fixed.

LS-10902 - In LegaSuite Web 7.4.1, using the Up and Down buttons to scroll through a drop-down combo box does not work. This has been fixed.

LS-10891 - In LegaSuite Web 7.4.1, setting the visibility using a text expression did not work. This has been fixed.

LS-10890 - In LegaSuite Web 7.4, editing a grid cell covers the line from the row above. This has been fixed.

LS-10886 - In LegaSuite 7.4.1 and 7.5, typing the quote character into an entry field sends a PageDown command to the host. This is incorrect and has been fixed.

LS-10833 - In LegaSuite Web 7.4 and later, tabbing to a grid does not get focus after tabbing through the widgets on a page. This has been fixed.

LS-10823 - In LegaSuite Web 7.4.1, the cursor does not return to the correct position when focus changes to another control. This has been fixed.

LS-10769 - In LegaSuite Web 7.4.1, setting property "Secondary page" to 'true' display a project error about another page that is attached to its screen. This has been fixed.

LS-10575 - In LegaSuite Web 7.5, DynamicUI does not create a search or filter row properly when a grid has this feature on top of the grid. This has been fixed.

LS-10483 - In LegaSuite Web 7.4.1, an Apple device user is unable to enter data when the entry field is hidden under the key pad pop-up window. This has been fixed.

LDE-2797 - In LegaSuite Integration, the log file is unable to display the screen contents when a custom screen size is set in the INI file. This has been fixed.

GUI-24041 -In LegaSuite GUI 7.2C2, starting multiple instances of the Windows client that was launched using command line parameters no longer worked. This has been fixed by introducing the "TaskbarBehavior" INI setting. 

GUI-23969 - In LegaSuite GUI 7.3C1 and 7.5, the Java Client stops responding and displays an exception. This has been fixed.

GUI-23959 - In LegaSuite GUI 7.1, mapping the Num+ key to the keyboard did not work properly. This has been fixed.

GUI-23908 - In LegaSuite GUI 7.3 and 7.5.3, when the Windows Aero theme is used, an application window starts to flicker when it is placed under the Windows client. This has been fixed.

GUI-23729 - In LegaSuite GUI 7.5.2, paging down using the PageDown key in the Java client does not work correctly with Java 1.8. This has been fixed.

GUI-23667 - In LegaSuite GUI 7.3C1 and 7.5, entered text is duplicated even after the user has stopped editing. This has been fixed.

GUI-23665 - In LegaSuite 7.4.1 ad 7.5, printing a main panel that is covered by a pop-up panel prints out only the pop-up panel. This has been fixed.

GUI-23639 - In LegaSuite 7.5.2, global array elements are not added to the troubleshoot log. This has been fixed.

GUI-23565 - When upgrading to LegaSuite 7.5, a T01 message is displayed when the certificate contains a wild card character. This has been fixed.

GUI-23456 - In LegaSuite GUI 7.3C1 and 7.5, the cursor is at the beginning of the line after editing. This is incorrect and has been fixed. 

GUI-23413 - In LegaSuite 7.5, the focus and cursor incorrectly returns to the last control instead of going to the next control, after editing. This has been fixed.

GUI-23230 - When migrating from LegaSuite 7.3C1 to version 7.4.1, a pop-up panel in the Java client is not displayed. This has been fixed.
 
GUI-23221 - In LegaSuite GUI 7.4.1, shortcuts for menu items are not displayed even when the mnemonics are set for the items in the message file. This has been fixed.

GUI-23213 - In LegaSuite GUI 4.0Cx and later, an error message about invalid text is displayed when using wild card characters to update files in the control file. This has been fixed.

GUI-23154 - In LegaSuite GUI, the AddPanelListener does not display data for the ListenerPanelContent variable. This has been fixed.

GUI-22775 - In LegaSuite GUI 7.5, DBCS texts are no longer displayed when the GUI engine is installed for a DBCS connection on a host. This has been fixed.

GUI-22531 - In LegaSuite GUI 4.2C9 and 7.3C1, a client unique id was no longer generated by the License and message server. This has been fixed. 

GUI-22019 - In LegaSuite GUI 7.3, pressing Enter in a drop-down combo box runs the first default button on the panel in the Java client. This has been fixed.

GUI-19679 - In LegaSuite GUI 7.3, the cursor position in the Java client no longer matches the cursor position on the host side when using the F7 or F8 key to move the cursor left or right. This has been fixed.

GUI-16725 - In LegaSuite GUI 7.5, the cursor position on the host is not updated when the F4 function key is used in the Java client. This has been fixed.








